Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class TreeModelSupport

    java.lang.Object
      de.grogra.util.TreeModelSupport

Direct Known Subclasses:
  FileSystem, SubTree, Tree, TreeModelEventMulticaster

    public class TreeModelSupport

extends java.lang.Object

Field Summary
`static int` | `NODES_CHANGED`
`static int` | `NODES_INSERTED`
`static int` | `NODES_REMOVED`
`static int` | `STRUCTURE_CHANGED`

Constructor Summary
`TreeModelSupport(boolean copyListeners)`

Method Summary
`void` | `addTreeModelListener(javax.swing.event.TreeModelListener l)`
`protected void` | `allListenersRemoved()`
`protected void` | `clearListeners()`
`void` | `fireTreeModelEvent(int type, javax.swing.event.TreeModelEvent event)`
`static void` | `fireTreeModelEvent(int type, javax.swing.event.TreeModelEvent event, java.util.List listeners)`
`static void` | `fireTreeModelEvent(int type, javax.swing.event.TreeModelEvent event, javax.swing.event.TreeModelListener listener)`
`static void` | `fireTreeModelEvent(int type, javax.swing.event.TreeModelEvent event, javax.swing.event.TreeModelListener[] listeners)`
`protected void` | `firstListenerAdded()`
`boolean` | `hasListeners()`
`void` | `removeTreeModelListener(javax.swing.event.TreeModelListener l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODES_CHANGED

    public static final int NODES_CHANGED

See Also:
  Constant Field Values

### NODES_INSERTED

    public static final int NODES_INSERTED

See Also:
  Constant Field Values

### NODES_REMOVED

    public static final int NODES_REMOVED

See Also:
  Constant Field Values

### STRUCTURE_CHANGED

    public static final int STRUCTURE_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### TreeModelSupport

    public TreeModelSupport(boolean copyListeners)

Method Detail

### addTreeModelListener

    public void addTreeModelListener(javax.swing.event.TreeModelListener l)

### allListenersRemoved

    protected void allListenersRemoved()

### clearListeners

    protected void clearListeners()

### fireTreeModelEvent

    public void fireTreeModelEvent(int type,
                                   javax.swing.event.TreeModelEvent event)

### fireTreeModelEvent

    public static void fireTreeModelEvent(int type,
                                          javax.swing.event.TreeModelEvent event,
                                          java.util.List listeners)

### fireTreeModelEvent

    public static void fireTreeModelEvent(int type,
                                          javax.swing.event.TreeModelEvent event,
                                          javax.swing.event.TreeModelListener listener)

### fireTreeModelEvent

    public static void fireTreeModelEvent(int type,
                                          javax.swing.event.TreeModelEvent event,
                                          javax.swing.event.TreeModelListener[] listeners)

### firstListenerAdded

    protected void firstListenerAdded()

### hasListeners

    public boolean hasListeners()

### removeTreeModelListener

    public void removeTreeModelListener(javax.swing.event.TreeModelListener l)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD